dcl_settings : default_dcl_settings { audit_level = 0;}
main : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Default settings";
  :boxed_radio_column {
    key = "main";
    :radio_button {
      key = "mm";
      label = "ASME Metric";
      allow_accept = true;
    }
    :radio_button {
      key = "inch";
      label = "ASME Foot-Inch";
      allow_accept = true;
    }
    :radio_button {
      key = "din";
      label = "DIN Metric";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
menu0 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Isometric Option";
  :boxed_radio_column {
    key = "menu0";
    :radio_button {
      key = "setup0";
      label = "DRAWING SETUP (setup)";
      allow_accept = true;
    }
    :radio_button {
      key = "nozzle0";
      label = "TANK / PUMP NOZZLE (noz)";
      allow_accept = true;
    }
    :radio_button {
      key = "pipe0";
      label = "PIPE LINES (pip) ->";
      allow_accept = true;
    }
    :radio_button {
      key = "valve0";
      label = "VALVES (val) ->";
      allow_accept = true;
    }
    :radio_button {
      key = "fitting0";
      label = "PIPE FITTINGS (fit) ->";
      allow_accept = true;
    }
    :radio_button {
      key = "bom0";
      label = "BILL of MATERIAL (bom) ->";
      allow_accept = true;
    }
    :radio_button {
      key = "dim0";
      label = "DIMEINSIONS (diam) ->";
      allow_accept = true;
    }
    :radio_button {
      key = "tag0";
      label = "TAGS (tag) ->";
      allow_accept = true;
    }
    :radio_button {
      key = "hatch0";
      label = "HATCHING (hat)->";
      allow_accept = true;
    }
    :radio_button {
      key = "weld0";
      label = "WELDS (wel) ->";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "commentscc"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
nozm : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
 : column {
           label = "Select Nozzle With Flanges";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "noz_so";
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "noz_wn";
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row { 
               : image_button {
                 key            = "noz_sw";
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "noz_lj";
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
        ok_cancel;
        
}
//-------------------------------------------------------------------------------------------------
pipe0 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Option";
  :boxed_radio_column {
    key = "pipe0";
    :radio_button {
      key = "pipe1";
      label = "PIPE  (pipe)";
      allow_accept = true;
    }
    :radio_button {
      key = "sleeve1";
      label = "PIPE SLEEVE (Slev)";
      allow_accept = true;
    }
    :radio_button {
      key = "insul1";
      label = "PIPE INSULATION (insul)";
      allow_accept = true;
    }
    :radio_button {
      key = "arrow1";
      label = "FLOW DIRECTION ARROW (aro)";
      allow_accept = true;
    }
    :radio_button {
      key = "triang1";
      label = "TWO DIMENSIONAL TRIANGLE (tria)";
      allow_accept = true;
    }
    :radio_button {
      key = "box1";
      label = "THREE DIMENSIONAL BOX (pbox)";
      allow_accept = true;
    }
    :radio_button {
      key = "slope1";
      label = "LINE SLOPE (slop)";
      allow_accept = true;
    }
    :radio_button {
      key = "linety1";
      label = "Linetype";
      allow_accept = true;
    }
    :radio_button {
      key = "lbreak1";
      label = "LINE BREAK (lbreak)";
      allow_accept = true;
    }
    :radio_button {
      key = "supp1";
      label = "PIPE SUPPORT (psup)";
      allow_accept = true;
    }
    :radio_button {
      key = "chlay1";
      label = "CHANGE LAYER to 0 (lay0)";
      allow_accept = true;
    }
    :radio_button {
      key = "cont1";
      label = "CONTIUED LINE (cont)";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "commentscc"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
linety1 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose LineType";
  :boxed_radio_column {
    key = "linety1";
    :radio_button {
      key = "cont1";
      label = "Continuous";
      allow_accept = true;
    }
    :radio_button {
      key = "hidden1";
      label = "Hidden";
      allow_accept = true;
    }
    :radio_button {
      key = "hidden2";
      label = "Hidden2";
      allow_accept = true;
   }
    :radio_button {
      key = "hiddenx2";
      label = "Hiddenx2";
      allow_accept = true;
    }
    :radio_button {
      key = "center1";
      label = "Center";
      allow_accept = true;
    }
    :radio_button {
      key = "center2";
      label = "Center2";
      allow_accept = true;
    }
    :radio_button {
      key = "centerx2";
      label = "Centerx2";
      allow_accept = true;
    }
    :radio_button {
      key = "phantom1";
      label = "Phantom";
      allow_accept = true;
    }
    :radio_button {
      key = "phantom2";
      label = "Phantomx2";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
valve0 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Type of Valve";
  :boxed_radio_column {
    key = "valve0";
    :radio_button {
      key = "slon1";
      label = "WITH SLIP ON FLANGES (vsof)";
      allow_accept = true;
    }
    :radio_button {
      key = "wene1";
      label = "WITH WELD NECK FLANGES (vwnf)";
      allow_accept = true;
    }
    :radio_button {
      key = "swen1";
      label = "WITH SOCKET WELD FLANGES (vswf)";
      allow_accept = true;
   }
    :radio_button {
      key = "lajo1";
      label = "WITH LAP JOINT FLANGES (vljf)";
      allow_accept = true;
    }
    :radio_button {
      key = "socw1";
      label = "SOCKET WELDED (vsw)";
      allow_accept = true;
    }
    :radio_button {
      key = "scrd1";
      label = "SCREWED (vsc)";
      allow_accept = true;
    }
    :radio_button {
      key = "spva1";
      label = "SPECIAL (vsp)";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
vsof : dialog {
    label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
    : column {
           alignment = centered;
           label = "Select Valve with Slip on Flanges";
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "gate_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "globe_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "plug_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "ball_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "check_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row { 
               : image_button {
                 key            = "wchek_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "diaph_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "butt_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "hydra_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "fbval_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row {
               : image_button {
                 key            = "ns_check_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "lift_check_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "piston_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "knife_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }             
             }
           : row { 
               : image_button {
                 key            = "jack_plug_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "jack_glob_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "pjack_plug_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "pjack_glob_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
        ok_cancel;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
vwnf : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
   : column {
           label = "Select Valve with Weld Neck Flanges";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "gate_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "globe_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "plug_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "ball_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row { 
               : image_button {
                 key            = "check_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "wchek_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "diaph_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "butt_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row {
               : image_button {
                 key            = "ns_check_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "lift_check_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "piston_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "knife_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row {
               : image_button {
                 key            = "jack_plug_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "jack_glob_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "pjack_plug_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "pjack_glob_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
        ok_cancel;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }        
}
//-------------------------------------------------------------------------------------------------
vsw : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
   : column {
           label = "Select Valve with Socket Weld Ends";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "gate_sw"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "globe_sw"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "plug_sw"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row {
               : image_button {
                 key            = "ball_sw"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "check_sw"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
        ok_cancel;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
vsc : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : column {
           label = "Select Valve with Screwed Ends";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "gate_sc"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "globe_sc"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "plug_sc"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row { 
               : image_button {
                 key            = "ball_sc";
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "check_sc"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
        ok_cancel;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
vsp : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : column {
           label = "Select Special Valves and Fittings";
           alignment = centered;
           fixed_width = true;
           : row {
           }
           : row { 
               : image_button {
                 key            = "spv_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "spv_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "spv_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
                 }
               : image_button {
                 key            = "spv_sc"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
                 }
               : image_button {
                 key            = "spv_sw"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row {
               : image_button {
                 key            = "ftr_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "ftr_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "amot"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "gmot"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "spect"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
        ok_cancel;       
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
vswf : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : column {
           label = "Select Valve with Socket Weld Flanges";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "gate_sf"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "globe_sf"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "plug_sf"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row { 
               : image_button {
                 key            = "ball_sf"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "check_sf"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
        ok_cancel;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
vljf : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : column {
           label = "Select Valve with Lap Joint Flanges";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "gate_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "globe_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "plug_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "ball_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row {
               : image_button {
                 key            = "check_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "wchek_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "diaph_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "butt_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row {
               : image_button {
                 key            = "ns_check_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "lift_check_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "piston_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "knife_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row {
               : image_button {
                 key            = "jack_plug_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "jack_glob_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "pjack_plug_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "pjack_glob_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
        ok_cancel;
        
}
//-------------------------------------------------------------------------------------------------
fitting1 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Type of fitting";
  :boxed_radio_column {
    key = "fitting1";
    :radio_button {
      key = "sifl1";
      label = "Single Flange (sifl)";
      allow_accept = true;
    }
    :radio_button {
      key = "dofl1";
      label = "Double Flanges (dofl)";
      allow_accept = true;
    }
    :radio_button {
      key = "bran1";
      label = "Branching (bran)";
      allow_accept = true;
   }
    :radio_button {
      key = "elbo1";
      label = "Elbow (elbo)";
      allow_accept = true;
    }
    :radio_button {
      key = "redu1";
      label = "Reducers (redu)";
      allow_accept = true;
    }
    :radio_button {
      key = "stra1";
      label = "Strainers";
      allow_accept = true;
    }
    :radio_button {
      key = "stgl1";
      label = "Sight Glass";
      allow_accept = true;
    }
    :radio_button {
      key = "coup1";
      label = "Coupling (coup)";
      allow_accept = true;
    }
    :radio_button {
      key = "unio1";
      label = "Union";
      allow_accept = true;
    }
    :radio_button {
      key = "hose1";
      label = "Hose (hose)";
      allow_accept = true;
    }
    :radio_button {
      key = "trap1";
      label = "Trap";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "commentscc"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
sifl1 : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : column {
           label = "Select Flanges";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "flan_wn"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "flan_so"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "flan_sw"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "flan_re"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row { 
               : image_button {
                 key            = "flan_lj"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "flan_sc"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "flan_bl"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
        ok_cancel;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }        
}
//-------------------------------------------------------------------------------------------------
dofl1 : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
 : column {
           label = "Select Double Flanges";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "flan_2so";
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "flan_2wn";
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row { 
               : image_button {
                 key            = "flan_2sw";
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "flan_2lj";
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
        ok_cancel;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
bran1 : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : column {
           label = "Select Branch Connections";
           alignment = centered;
           fixed_width = true;
           : row { 
	  : boxed_column {
               : image_button {
                 key            = "tee"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
                 }
               :text { value = "(tee)"; width = 10; alignment = centered; vertical_margin = tiny; }
               }
	  : boxed_column {
               : image_button {
                 key            = "tee_red"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
                 }
               :text { value = "(teer)"; width = 10; alignment = centered; vertical_margin = tiny; }
               }
	  : boxed_column {
               : image_button {
                 key            = "weldolet"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
                 }
               :text { value = "(wele)"; width = 10; alignment = centered; vertical_margin = tiny; }
               }
           }
           : row {
	  : boxed_column {
               : image_button {
                 key            = "threadol"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
                 }
               :text { value = "(thr)"; width = 10; alignment = centered; vertical_margin = tiny; }
               }
	  : boxed_column {
               : image_button {
                 key            = "socolet"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
                 }
               :text { value = "(soc)"; width = 10; alignment = centered; vertical_margin = tiny; }
               }
	  : boxed_column {
               : image_button {
                 key            = "nippolet"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
                 }
               :text { value = "(nip)"; width = 10; alignment = centered; vertical_margin = tiny; }
               }
}
           : row {
	  : boxed_column {
               : image_button {
                 key            = "stub_in";
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
                 }
               :text { value = "(stub)"; width = 10; alignment = centered; vertical_margin = tiny; }
               }
	  : boxed_column {
               : image_button {
                 key            = "tee_soc";
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
                 }
               :text { value = "(tees)"; width = 10; alignment = centered; vertical_margin = tiny; }
               }
	  : boxed_column {
               : image_button {
                 key            = "tee_scr";
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
                 }
               :text { value = "(teesc)"; width = 10; alignment = centered; vertical_margin = tiny; }
               }
           }
        }
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "commentscc"; alignment = centered; vertical_margin = tiny; }
        ok_cancel;
}
//-------------------------------------------------------------------------------------------------
elbo1 : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
 : column {
           label = "Select Elbows";
           alignment = centered;
           fixed_width = true;
           : row {
             : boxed_column {
              : image_button {
                 key            = "el90_arc"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
             :text { value = "(e90arc)"; width = 10; alignment = centered; vertical_margin = tiny; }
              }
             : boxed_column {
               : image_button {
                 key            = "el90_2l"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
             :text { value = "(e90)"; width = 10; alignment = centered; vertical_margin = tiny; }
              }
             : boxed_column {
               : image_button {
                 key            = "el45_arc"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
             :text { value = "(e45arc)"; width = 10; alignment = centered; vertical_margin = tiny; }
              }
         }
           : row {
             : boxed_column {
               : image_button {
                 key            = "el45_2l"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
             :text { value = "(e45)"; width = 10; alignment = centered; vertical_margin = tiny; }
           }
             : boxed_column {
               : image_button {
                 key            = "e9sw"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
             :text { value = "(e90sw)"; width = 10; alignment = centered; vertical_margin = tiny; }
              }
             : boxed_column {
               : image_button {
                 key            = "e9sc"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
             :text { value = "(e90sc)"; width = 10; alignment = centered; vertical_margin = tiny; }
              }
         }
           : row {
             : boxed_column {
               : image_button {
                 key            = "blank"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
              }
             :text { value = " "; width = 10; alignment = centered; vertical_margin = tiny; }
               }
             : boxed_column {
               : image_button {
                 key            = "mitercut"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
             :text { value = "(mit)"; width = 10; alignment = centered; vertical_margin = tiny; }
              }
             : boxed_column {
               : image_button {
                 key            = "blank1"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
             :text { value = " "; width = 10; alignment = centered; vertical_margin = tiny; }
              }
           }
        }
             :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
             :text { value = ""; width = 35; key = "commentscc"; alignment = centered; vertical_margin = tiny; }
        ok_cancel;
    }
//-------------------------------------------------------------------------------------------------
redu1 : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : column {
           label = "Select Reducers";
           alignment = centered;
           fixed_width = true;
           : row {
             : boxed_column {
               : image_button {
                 key            = "red_c"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
             :text { value = "(cr)"; width = 10; alignment = centered; vertical_margin = tiny; }
             }
             : boxed_column {
               : image_button {
                 key            = "red_efu"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
             :text { value = "(erfu)"; width = 10; alignment = centered; vertical_margin = tiny; }
             }
           }
           : row { 
             : boxed_column {
               : image_button {
                 key            = "red_efb"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
             :text { value = "(erfd)"; width = 10; alignment = centered; vertical_margin = tiny; }
             }
             : boxed_column {
               : image_button {
                 key            = "swage"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
             :text { value = "(swage)"; width = 10; alignment = centered; vertical_margin = tiny; }
             }
           }
        }
             :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
             :text { value = ""; width = 35; key = "commentscc"; alignment = centered; vertical_margin = tiny; }
        ok_cancel;
}
//-------------------------------------------------------------------------------------------------
stram : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Type of Strainer";
  :boxed_radio_column {
    key = "stram";
    :radio_button {
      key = "stryso";
      label = "Y-Type With Slip On Flanges";
      allow_accept = true;
    }
    :radio_button {
      key = "strywn";
      label = "Y-Type With Weld Neck Flanges";
      allow_accept = true;
    }
    :radio_button {
      key = "strysw";
      label = "Y-Type Socket Welded";
      allow_accept = true;
   }
    :radio_button {
      key = "strysc";
      label = "Y-Type Screwd";
      allow_accept = true;
    }
    :radio_button {
      key = "strbso";
      label = "Bucket Type With Slip On Flange";
      allow_accept = true;
    }
    :radio_button {
      key = "strbwn";
      label = "Bucket Type With Weld Neck Flange";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
stglm : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Type of Site Glass";
  :boxed_radio_column {
    key = "stglm";
    :radio_button {
      key = "sgdwso";
      label = "Double Window With Slip On Flanges";
      allow_accept = true;
    }
    :radio_button {
      key = "sgdwwn";
      label = "Double Window With Weld Neck Flanges";
      allow_accept = true;
    }
    :radio_button {
      key = "sgfvso";
      label = "Full View With Slip On Flanges";
      allow_accept = true;
   }
    :radio_button {
      key = "sgfvwn";
      label = "Full View With Weld Neck Flanges";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
coup1 : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : column {
           label = "Select Couplings";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "coup_sf"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "coup_tf"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row {
               : image_button {
                 key            = "coup_sh"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "coup_th"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row {
               : image_button {
                 key            = "hexcoup"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "vicoup"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "hosecoup"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
        ok_cancel;
        
}
//----------------------------------------------
hose1 : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
 : column {
           label = "Select Hose";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "hose_il"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "flexhose"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
        ok_cancel;
}
//-------------------------------------------------------------------------------------------------
traptyp : dialog {
  label = "Choose Steam Trap Type";
  :boxed_radio_column {
    key = "traptyp";
    :radio_button {
      key = "ballfl";
      label = "Ball Float";
    }
    :radio_button {
      key = "thdc";
      label = "Thermodynamic";
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//----------------------------------------------
bom0 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Bill of Materials Option";
  :boxed_radio_column {
    key = "bom0";
    :radio_button {
      key = "tden";
      label = "Table with Dummy Entries";
      allow_accept = true;
    }
    :radio_button {
      key = "abom";
      label = "Automatic BOM";
      allow_accept = true;
    }
    :radio_button {
      key = "otab";
      label = "Only Table";
      allow_accept = true;
    }
    :radio_button {
      key = "edes";
      label = "Edit Description ->";
      allow_accept = true;
    }
//    :radio_button {
//      key = "ecla";
//      label = "Edit by Class ->";
//      allow_accept = true;
//    }
    :radio_button {
      key = "sbsi";
      label = "Studbolt Size (sbsi) ->";
      allow_accept = true;
    }
    :radio_button {
      key = "bosi";
      label = "Machine Bolt Size  (mbsi) ->";
      allow_accept = true;
    }
    :radio_button {
      key = "chno";
      label = "Change No by ->";
      allow_accept = true;
    }
    :radio_button {
      key = "obte";
      label = "Oblique Text to ->";
      allow_accept = true;
    }
    :radio_button {
      key = "chth";
      label = "Change Text Height ->";
      allow_accept = true;
    }
    :radio_button {
      key = "mobm";
      label = "Move BOM Texts down";
      allow_accept = true;
    }
//    :radio_button {
//      key = "fire";
//      label = "Find and Replace";
//      allow_accept = true;
//    }
    :radio_button {
      key = "ebom";
      label = "Erase BOM";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
edes0 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Option to Edit Description";
  :boxed_radio_column {
    key = "edes0";
    :radio_button {
      key = "edva";
      label = "Valve ->";
      allow_accept = true;
    }
    :radio_button {
      key = "edpi";
      label = "Pipe";
      allow_accept = true;
    }
    :radio_button {
      key = "edfi";
      label = "Fittings ->";
      allow_accept = true;
    }
    :radio_button {
      key = "edfl";
      label = "Flange ->";
      allow_accept = true;
    }
    :radio_button {
      key = "edga";
      label = "Gasket";
      allow_accept = true;
    }
    :radio_button {
      key = "ednb";
      label = " Nut / Bolts";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
edes_va : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Valve Class # to Edit Description";
  :boxed_radio_column {
    key = "edes_va";
    :radio_button {
      key = "edva150";
      label = "150 #";
      allow_accept = true;
    }
    :radio_button {
      key = "edva300";
      label = "300 #";
      allow_accept = true;
    }
    :radio_button {
      key = "edva600";
      label = "600 #";
      allow_accept = true;
    }
    :radio_button {
      key = "edva800";
      label = "800 #";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
edes_fi : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Fitting to Edit Description";
  :boxed_radio_column {
    key = "edes_fi";
    :radio_button {
      key = "elbo";
      label = "Elbow";
      allow_accept = true;
    }
    :radio_button {
      key = "tere";
      label = "Tee / Reducers";
      allow_accept = true;
    }
    :radio_button {
      key = "olet";
      label = "Olets";
      allow_accept = true;
    }
    :radio_button {
      key = "coun";
      label = "Coupling / Union";
      allow_accept = true;
    }
    :radio_button {
      key = "plca";
      label = "Plug / Cap";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
edes_fl : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Flange to Edit Description";
  :boxed_radio_column {
    key = "edes_fl";
    :radio_button {
      key = "is";
      label = "Indian Standard";
      allow_accept = true;
    }
    :radio_button {
      key = "us";
      label = "US Standard";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
edes_cl : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Class to Edit Description";
  :boxed_radio_row {
    key = "edes_cl";
    : column {
    :radio_button {
      key = "edbom1";
      label = "CS Sch40";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom2";
      label = "CS Sch80";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom3";
      label = "CS Sch160";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom4";
      label = "CS Galvanized";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom5";
      label = "Rubber Lined Sch 40";
      allow_accept = true;
    }
   }
    : column {
    :radio_button {
      key = "edbom6";
      label = "HDPE PN4";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom7";
      label = "HDPE PN6.3";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom8";
      label = "HDPE PN8";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom9";
      label = "HDPE PN10";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom10";
      label = "HDPE PN12.5";
      allow_accept = true;
    }
   }
    : column {
    :radio_button {
      key = "edbom11";
      label = "HDPE PN16";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom12";
      label = "PVC";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom13";
      label = "Plastic";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom14";
      label = "SS304 Sch 40";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom15";
      label = "SS316 Heavy";
      allow_accept = true;
    }
   }
    : column {
    :radio_button {
      key = "edbom16";
      label = "SS Sch 80";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom17";
      label = "SS Sch 80S";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom18";
      label = "SS A790 Sch 80S";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom19";
      label = "SS Alloy 20 Sch 80S";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom20";
      label = "Titanium1";
      allow_accept = true;
    }
   }
    : column {
    :radio_button {
      key = "edbom21";
      label = "Titanium2";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom22";
      label = "Titanium3";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom23";
      label = "Special1";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom24";
      label = "Special2";
      allow_accept = true;
    }
    :radio_button {
      key = "edbom25";
      label = "Special3";
      allow_accept = true;
    }
   }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
sbsi0 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Units of Stud Bolts to Edit Description";
  :boxed_radio_column {
    key = "sbsi0";
    :radio_button {
      key = "idil";
      label = "Inch dia inch length";
      allow_accept = true;
    }
    :radio_button {
      key = "idml";
      label = "Inch dia MM length";
      allow_accept = true;
    }
    :radio_button {
      key = "mdml";
      label = "MM dia MM length";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
sidil0 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Standard of Stud Bolts to Edit Description";
  :boxed_radio_column {
    key = "sidil0";
    :radio_button {
      key = "ansi150";
      label = "ANSI 150";
      allow_accept = true;
    }
    :radio_button {
      key = "ansi300";
      label = "ANSI 300";
      allow_accept = true;
    }
    :radio_button {
      key = "ansi600";
      label = "ANSI 600";
      allow_accept = true;
    }
    :radio_button {
      key = "ansi900";
      label = "ANSI 900";
      allow_accept = true;
    }
    :radio_button {
      key = "ansi1500";
      label = "ANSI 1500";
      allow_accept = true;
    }
    :radio_button {
      key = "ansi2500";
      label = "ANSI 2500";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
sidml0 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Standard of Stud Bolts to Edit Description";
  :boxed_radio_column {
    key = "sidml0";
    :radio_button {
      key = "ansi150";
      label = "ANSI 150";
      allow_accept = true;
    }
    :radio_button {
      key = "ansi300";
      label = "ANSI 300";
      allow_accept = true;
    }
    :radio_button {
      key = "ansi600";
      label = "ANSI 600";
      allow_accept = true;
    }
    :radio_button {
      key = "ansi900";
      label = "ANSI 900";
      allow_accept = true;
    }
    :radio_button {
      key = "ansi1500";
      label = "ANSI 1500";
      allow_accept = true;
    }
    :radio_button {
      key = "ansi2500";
      label = "ANSI 2500";
      allow_accept = true;
    }
    :radio_button {
      key = "bs10d";
      label = "BS 10 D";
      allow_accept = true;
    }
    :radio_button {
      key = "bs10e";
      label = "BS 10 E";
      allow_accept = true;
    }
    :radio_button {
      key = "bs10f";
      label = "BS 10 F";
      allow_accept = true;
    }
    :radio_button {
      key = "bs10h";
      label = "BS 10 H";
      allow_accept = true;
    }
    :radio_button {
      key = "bs10j";
      label = "BS 10 J";
      allow_accept = true;
    }
    :radio_button {
      key = "bs10k";
      label = "BS 10 K";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
mbsi0 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Units of Machine Bolts to Edit Description";
  :boxed_radio_column {
    key = "mbsi0";
    :radio_button {
      key = "mdml";
      label = "MM dia MM length";
      allow_accept = true;
    }
    :radio_button {
      key = "idml";
      label = "Inch dia MM length";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
mmdml0 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Standard of Machine Bolts to Edit Description";
  :boxed_radio_column {
    key = "mmdml0";
    :radio_button {
      key = "ansi150";
      label = "ANSI 150";
      allow_accept = true;
    }
    :radio_button {
      key = "ansi300";
      label = "ANSI 300";
      allow_accept = true;
    }
    :radio_button {
      key = "bs10d";
      label = "BS 10 D";
      allow_accept = true;
    }
    :radio_button {
      key = "bs10e";
      label = "BS 10 E";
      allow_accept = true;
    }
    :radio_button {
      key = "bs10f";
      label = "BS 10 F";
      allow_accept = true;
    }
    :radio_button {
      key = "bs10h";
      label = "BS 10 H";
      allow_accept = true;
    }
    :radio_button {
      key = "bs10j";
      label = "BS 10 J";
      allow_accept = true;
    }
    :radio_button {
      key = "bs10k";
      label = "BS 10 K";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
neno0 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Number to Edit Description";
  :boxed_radio_column {
    key = "neno0";
    :radio_button {
      key = "plus1";
      label = "+ 1";
      allow_accept = true;
    }
    :radio_button {
      key = "plus2";
      label = "+ 2";
      allow_accept = true;
    }
    :radio_button {
      key = "plus3";
      label = "+ 3";
      allow_accept = true;
    }
    :radio_button {
      key = "plus4";
      label = "+ 4";
      allow_accept = true;
    }
    :radio_button {
      key = "plus5";
      label = "+ 5";
      allow_accept = true;
    }
    :radio_button {
      key = "minus1";
      label = "- 1";
      allow_accept = true;
    }
    :radio_button {
      key = "minus2";
      label = "- 2";
      allow_accept = true;
    }
    :radio_button {
      key = "minus3";
      label = "- 3";
      allow_accept = true;
    }
    :radio_button {
      key = "minus4";
      label = "- 4";
      allow_accept = true;
    }
    :radio_button {
      key = "minus5";
      label = "- 5";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
obte0 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Oblique angle";
  :boxed_radio_column {
    key = "obte0";
    :radio_button {
      key = "0";
      label = "0";
      allow_accept = true;
    }
    :radio_button {
      key = "30";
      label = "30";
      allow_accept = true;
    }
    :radio_button {
      key = "90";
      label = "90";
      allow_accept = true;
    }
    :radio_button {
      key = "150";
      label = "150";
      allow_accept = true;
    }
    :radio_button {
      key = "180";
      label = "180";
      allow_accept = true;
    }
    :radio_button {
      key = "210";
      label = "210";
      allow_accept = true;
    }
    :radio_button {
      key = "270";
      label = "270";
      allow_accept = true;
    }
    :radio_button {
      key = "330";
      label = "330";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
chth0 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose New Text Height";
  :boxed_radio_column {
    key = "chth0";
    :radio_button {
      key = "2.0";
      label = "2.0";
      allow_accept = true;
    }
    :radio_button {
      key = "2.5";
      label = "2.5";
      allow_accept = true;
    }
    :radio_button {
      key = "3.0";
      label = "3.0";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
dim0 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Select Type of Dimension";
  :boxed_radio_column {
    key = "dim0";
    :radio_button {
      key = "dive";
      label = "Vertical Lines (dive) -->";
      allow_accept = true;
    }
    :radio_button {
      key = "diin";
      label = "Inclined Lines (diin) -->";
      allow_accept = true;
    }
    :radio_button {
      key = "isym";
      label = "iso-Dim Symbols (disy) -->";
      allow_accept = true;
    }

    :radio_button {
      key = "dtht";
      label = "Dimension Text Height";
      allow_accept = true;
    }

    :radio_button {
      key = "gasi";
      label = "Gasket Sign";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
dtht0 : dialog {
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  label = "Choose Type of Dimension Text Height";
  :boxed_radio_column {
    key = "dtht0";
    :radio_button {
      key = "cdt10";
      label = "All to 1.0 mm";
      allow_accept = true;
    }
    :radio_button {
      key = "cdt15";
      label = "All to 1.5 mm";
      allow_accept = true;
    }
    :radio_button {
      key = "cdt20";
      label = "All to 2.0 mm";
      allow_accept = true;
   }
    :radio_button {
      key = "cdt25";
      label = "All to 2.5 mm";
      allow_accept = true;
    }
    :radio_button {
      key = "cdt30";
      label = "All to 3.0 mm";
      allow_accept = true;
    }
  }
  ok_only;
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
}
//-------------------------------------------------------------------------------------------------
dive : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
 : column {
           label = "Select Dimension of Vertical Line";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "dim101"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "dim112"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row { 
               : image_button {
                 key            = "dim111"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "dim102"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
        ok_cancel;
}
//-------------------------------------------------------------------------------------------------
diin : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : column {
           label = "Select Dimensions for Inclined Lines";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "dim_inc";
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "dim_ver";
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
        ok_cancel;
}
//-------------------------------------------------------------------------------------------------
isym : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : column {
           label = "Select Dimension Symbols";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "colref"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "plus150"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "clel"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row {
               : image_button {
                 key            = "hold"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "ref"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "typ"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
        ok_cancel;
        
}
//-------------------------------------------------------------------------------------------------
tag0 : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : column {
           label = "Select Tags";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "spool_no"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "bubble"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row { 
               : image_button {
                 key            = "spf"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "circle"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
        ok_cancel;
}
//-------------------------------------------------------------------------------------------------
weldm : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
 : column {
           label = "Select Welds";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "buttweld"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "butt"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "socweld"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row { 
               : image_button {
                 key            = "scrend"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "fw"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "ffw"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
        ok_cancel;
        
}
//-------------------------------------------------------------------------------------------------
hatcm : dialog {
      label = "PIPING ISOMETRICS";
    :text { value = ""; width = 35; key = "program"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "company"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "phones"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "email"; alignment = centered; vertical_margin = tiny; }
    :text { value = ""; width = 35; key = "website"; alignment = centered; vertical_margin = tiny; }
  : column {
           label = "Select Hatch Type";
           alignment = centered;
           fixed_width = true;
           : row { 
               : image_button {
                 key            = "hatchh"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "hatchhr"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "hatchv"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
           : row { 
               : image_button {
                 key            = "hatch_h"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
               : image_button {
                 key            = "hatch_v"; 
                 width          = 10;
                 aspect_ratio   = 1.0;
                 color          = 0;
                 allow_accept   = true;
               }
           }
        }
    :text { value = ""; width = 35; key = "comment"; alignment = centered; vertical_margin = tiny; }
        ok_cancel;
        
}
//-------------------------------------------------------------------------------------------------
